Subject: Re: 2.6.28 headers break kbd and net-tools userspace builds

From: Andrew Walrond <[email-masked]>
Date: Mon, 02 Feb 2009 21:13:11 +0000

David Miller wrote:
>
> There isn't anything we can really do about these cases.
>
> No matter what we do, we break the userland build in one way or
> another.
>   
What exactly is the purpose of the kernel headers? Are there some 
definitions in the kernel headers that will never be available from 
glibc? Is it perhaps possible to work towards exporting kernel headers 
for the sole purpose of building glibc, and all other packages should be 
able to build against glibc's headers?

Andrew Walrond